Skip to content
Start here

Get tunnel route

client.zeroTrust.networks.routes.get(stringrouteId, RouteGetParams { account_id } params, RequestOptionsoptions?): Route { id, comment, created_at, 4 more }
GET/accounts/{account_id}/teamnet/routes/{route_id}

Get a private network route in an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
routeId: string

UUID of the route.

maxLength36
params: RouteGetParams { account_id }
account_id: string

Cloudflare account ID

maxLength32
ReturnsExpand Collapse
Route { id, comment, created_at, 4 more }
id?: string

UUID of the route.

maxLength36
comment?: string

Optional remark describing the route.

maxLength100
created_at?: string

Timestamp of when the resource was created.

formatdate-time
deleted_at?: string

Timestamp of when the resource was deleted. If null, the resource has not been deleted.

formatdate-time
network?: string

The private IPv4 or IPv6 range connected by the route, in CIDR notation.

tunnel_id?: string

UUID of the tunnel.

formatuuid
maxLength36
virtual_network_id?: string

UUID of the virtual network.

formatuuid

Get tunnel route

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const route = await client.zeroTrust.networks.routes.get('f70ff985-a4ef-4643-bbbc-4a0ed4fc8415', {
  account_id: '699d98642c564d2e855e9661899b7252',
});

console.log(route.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "comment": "Example comment for this route.",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "deleted_at": "2009-11-10T23:00:00.000000Z",
    "network": "172.16.0.0/16",
    "tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "virtual_network_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "comment": "Example comment for this route.",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "deleted_at": "2009-11-10T23:00:00.000000Z",
    "network": "172.16.0.0/16",
    "tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "virtual_network_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415"
  },
  "success": true
}